Bug 819002 - [RFE] Hide password creation and Email fields at user creation time if LDAP auth is enabled in CFSE
[RFE] Hide password creation and Email fields at user creation time if LDAP a...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity urgent
: beta
: 1.0
Assigned To: Jordan OMara
Og Maciel
: FutureFeature, Triaged
Depends On:
Blocks: sam12-tracker 820626 858358 876492
  Show dependency treegraph
 
Reported: 2012-05-04 10:56 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 820626 858358 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:15:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-05-04 10:56:00 EDT
Description of problem:
When warden is set to ldap the New User option should not be visible as local users are not supported.  When a new user is created via the New User option from a LDAP configured instance that user will be unable to login due to the warden value being set to ldap.

Version-Release number of selected component (if applicable):
katello-headpin-all-0.2.6-1.el6_2.noarch


Steps to Reproduce:
1. Configure SAM (Katello) with auth type ldap.
2. Login with an administrative user
3. Navigate to the Administrator / Users tab
4. Note the New User option is available
5. Create new user
6. logout
7. Attempt to login with new user
  
Actual results:
Unable to login

Expected results:
Either support multiple wardens, r/w access to the ldap to create new users, or disable the new user link when warden is ldap.
Comment 1 Jordan OMara 2012-05-07 15:07:06 EDT
The new user option is still valid under LDAP. Adding a user w/ a valid LDAP username allows you to set additional roles for that user. 

It might be worthwhile to remove the ability to set a password for the user, since that password would never get used in LDAP mode
Comment 2 Jordan OMara 2012-05-08 17:10:26 EDT
Changing to RFE to disallow password setting on new user creation in LDAP auth mode
Comment 4 Jordan OMara 2012-06-19 08:33:08 EDT
merged https://github.com/Katello/katello/pull/213/

Admins are no longer prompted for email/password when creating LDAP users

However, if for some reason they disable LDAP mode after install (I'm not sure if this is supported or not) those users will not be able to login until a password is set by an admin
Comment 5 Og Maciel 2012-10-09 18:06:59 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 7 errata-xmlrpc 2013-02-21 14:15:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.